List Databases

get

/applications/{applicationName}/databases

Returns list of databases. Providing the connection name for which to list databases is optional. If a connection name is provided, connections created at the specified application is used to fetch the database list.

Request

Path Parameters
Query Parameters
Back to Top

Response

200 Response

OK

Database list returned successfully.

400 Response

Bad Request

Failed to get databases.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to get a list of Essbase databases.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/databases?links=none" -H "Accept:application/json" -H "Content-Type:application/json" -u %User%:%Password%

Example of Response Body

{
  "items" : [ {
    "name" : "Basic",
    "application" : "Sample",
    "owner" : "admin",
    "creationTime" : 1663198643123,
    "status" : "started",
    "startTime" : 1663814542677,
    "type" : "BSO",
    "description" : "",
    "modifiedBy" : "admin",
    "modifiedTime" : 1663814710916,
    "applicationRole" : "app_manager",
    "startStopDBAllowed" : true,
    "inspectDBAllowed" : true,
    "dbVariablesSetting" : {
      "showVariables" : true,
      "updateVariables" : true
    }
  } ]
}
Back to Top